//
//  FTT_PickerView.h
//  FTT_PickerView
//
//  Created by cmcc on 16/8/31.
//  Copyright © 2016年 cmcc. All rights reserved.
//

#import <UIKit/UIKit.h>
// 展示的风格
typedef NS_ENUM(NSInteger , FTT_PickerViewShowType) {
    FTT_PickerViewShowTypeSheet= 0,
    FTT_PickerViewShowTypeAlert,
};

typedef NS_ENUM(NSInteger , FTT_PickerViewType) {
    FTT_PickerViewTypeTime = 0,
    FTT_PickerViewTypeAddress ,
    FTT_PickerViewTypeOther ,
};

@interface FTT_PickerView : UIView

@property (nonatomic , copy) void(^select)(NSString *Provice ,NSString *City, NSString *Distr);
//
@property (nonatomic , assign) FTT_PickerViewType type;
// 显示的风格
@property (nonatomic , assign) FTT_PickerViewShowType showType;
// 列表的个数默认为3个 ,num 的个数可以修改
@property (nonatomic , assign) NSInteger num;

//@property (nonatomic , strong) NSMutableDictionary *array;

- (instancetype)initWithFrame:(CGRect)frame PickerViewType:(FTT_PickerViewShowType)showtype DataSoucre:(NSMutableDictionary *)array;

-(void)showCityView:(void(^)(NSString *proviceStr,NSString *cityStr,NSString *distr))selectStr;


@end
